Subject: bug#9085: 'split' feature request: an option to uses e.g. '.001' as first suffix.

From: Jim Meyering <[email-masked]>
Date: Mon, 30 Jan 2012 20:14:23 +0100

Pádraig Brady wrote:

> On 01/30/2012 05:33 PM, Jérémy Compostella wrote:
>> Pádraig, Jim, others,
>>
>> - Solution 1:
>> Pádraig wrotes:
>>> I wonder might we have a separate option, --suffix-start, and
>>> theoretically that could accept alphabetic options too?  I'm not
>>> suggesting we do this, but it's worth discussion.
>> That's was my first idea but since your first mail subject was "split
>> --numeric-suffixes=N" I assumed that you already thought about it as a
>> bad solution. Wrong assumption I guess.
>>
>> - Solution 2:
>> Pádraig wrotes:
>>> Thinking a bit more about it, it's probably worth to split the short
>>> and long options. Have -d not take a param as before, and have
>>> --numeric-suffixes take an optional param.
>>> To do this, leave 'optional_argument' in the long_opts array, and just
>>> remove the :: from the getopts call.
>
> My vote is for solution 2.
> Less options = simpler interface for users.
> I don't think it's too onerous to mandate,
> numeric suffixes for this feature.

Same here.
Another reason to avoid adding --suffix<anything> is that it would
invalidate -- rendering ambiguous -- any existing use of split that takes
advantage of --suffix (or --s for that matter) being an abbreviation
of the --suffix-length option name.